al_join_thread(3)

NAME

al_join_thread - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_join_thread(ALLEGRO_THREAD *thread, void **ret_value)

DESCRIPTION

Wait for the thread to finish executing. This implicitly calls al_set_thread_should_stop(3) first.

If ret_value is non-NULL, the value returned by the thread function will be stored at the location pointed to by ret_value.

SEE ALSO

al_set_thread_should_stop(3), al_get_thread_should_stop(3), al_destroy_thread(3).